Announcement

Collapse
No announcement yet.

3.6.6 newthread problem

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • 3.6.6 newthread problem

    Hi, just upgraded with no apparent errors, but when trying to create a new thread I get,

    Fatal error: Only variables can be passed by reference in vbb/newthread.php on line 183

    I have globally turned off all plugins and that didn't fix it. I have now put back my old 3.6.4 newthread.php and it works again. I'm going to try and track the problem down but thought I'd post here in case anyone had the same problem or could offer a solution.

  • #2
    That's a weird error tbh, I could only think this is in relation to a plugin at this point.

    Comment


    • #3
      OK I just moved my vbb folder sideways and replaced it with a completely clean copy - that didn't work.

      I have also just reverted all templates back and that didn't work either.

      Do I start to physically remove the plugins even though the plugings system is disabled?

      Comment


      • #4
        To temporarily disable the plugin system, edit config.php and add this line right under <?php

        define('DISABLE_HOOKS', true);

        Note: In some cases you may also need to remove any of the .xml files files for these add-ons in the includes/xml directory.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          I have that in the config already, and I have just deleted anything non-vBulletin related from the xml folder, still the problem persists.

          I also get an error when trying to quick reply (although the normal reply works) but the quick reply errors with a blank error message.

          Comment


          • #6
            Run 'Suspect File Version' in Diagnostics and report back the results.

            Admin CP -> Maintenance -> Diagnostics -> Suspect File Versions
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Several "File not recognized as part of vBulletin" for files belonging to various plugins, and "File version mismatch: found 3.6.4, expected 3.6.6" for newthread.php, but that is because I restored the old version as explained above.

              Comment


              • #8
                You can't use files from different versions. They all have to be from the same version.

                Comment


                • #9
                  Please see my first post, I have only put the old newthread.php back because it works. The errors I get are there when I use the new, clean, 3.6.6 version of the file.

                  I have just put the new 3.6.6 back in place and again the error has returned. I can PM you login details if you want to take a look?

                  Comment


                  • #10
                    Sure, you can make a support ticket, link to this thread, and put your details in the ticket to your forum. Someone from our staff will then take a look to see if something obvious is going wrong here.

                    Comment


                    • #11
                      Remove any includes/xml files for your plugins.
                      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                      Change CKEditor Colors to Match Style (for 4.1.4 and above)

                      Steve Machol Photography


                      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                      Comment


                      • #12
                        Originally posted by Steve Machol View Post
                        Remove any includes/xml files for your plugins.
                        I have done that already.

                        Comment


                        • #13
                          If you are running all the default vB files and templatyes with no plugins and still have this problem then please report this in the 3.6 Bug Tracker here:

                          http://www.vbulletin.com/forum/forumdisplay.php?f=114
                          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                          Change CKEditor Colors to Match Style (for 4.1.4 and above)

                          Steve Machol Photography


                          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                          Comment


                          • #14
                            I only have 4 plugins left installed now, and they all have significant data (eg picture gallery) and I cannot remove them.

                            I think I am left with little choice but to restore the site from a backup and then try to replicate this on a test system.

                            Comment


                            • #15
                              I thought you said you removed your plugins and still had this problem.
                              Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                              Change CKEditor Colors to Match Style (for 4.1.4 and above)

                              Steve Machol Photography


                              Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                              Comment

                              Loading...
                              Working...
                              X